@extends('admin.layout')
@section('admin_container')



    <section class="content">
        <div class="container-fluid">

            @if(session()->has('message.level'))
                <div class="alert alert-{{ session('message.level') }}">
                    {!! session('message.content') !!}
                </div>
            @endif



            @if(count($errors)>0)
                @foreach($errors->all() as $error)
                    <p class="alert alert-danger">{{$error}}</p>
                @endforeach
            @endif


            <form action="/create_catagory" method="post" >

                {{csrf_field()}}

                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="body">

                            <h2 class="card-inside-title">Publication Details</h2>
                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Catagory Name</label>
                                            <input type="text" class="form-control" name="cat_name"  placeholder="Catagory Name" required/>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-4">
                                    <input type="submit" name="submit" class="btn btn-primary" value="Submit" />
                                </div>
                            </div>

                        </div>


                    </div>
                </div>

            </form>


            <form action="/create_sub_catagory" method="post" >

                    {{csrf_field()}}

                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="body">

                                <h2 class="card-inside-title">Create Sub Catagory</h2>

                                <div class="row ">
                                    <div class="col-sm-12">
                                        <label>Catagory Name</label>
                                        <select class="form-control" name="parent_id">
                                            <option value="" style="text-align: center;">-- Please select Catagory Name --</option>

                                            @foreach($catagories as $catagory)
                                                <option value="{{$catagory->id}}">{{$catagory->catagory_name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>

                                <div class="row ">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <div class="form-line">
                                                <label>Sub Catagory Name</label>
                                                <input type="text" class="form-control" name="sub_cat_name"  placeholder="Sub Catagory Name" required/>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-sm-4">
                                        <input type="submit" name="submit" class="btn btn-primary" value="Submit" />
                                    </div>
                                </div>

                            </div>


                        </div>
                    </div>

                </form>


        </div>
    </section>



@endsection
