@extends('web.layout')

@section('web_container')


    <div class="row" style="margin-top: 20px">

        <div class="col-lg-8">

            <table style="margin-left: 20px;" width="100%">

                @if(sizeof($books) >0 )
                <h4 style="margin-top: 20px">Books</h4>
                    <hr>
                @endif

                    @foreach($books as $book)
                        <tr class="row" style="margin-top: 10px">
                            <td class="col-sm-3"><img src="{{url($book->image_folder)}}/{{$book->image_name}}" height="150px" width="150px"></td>
                            <td class="col-lg-9">
                                <div class="content">
                                    <h2><a href="{{url('show_book/'.$book->book_id)}}">{{$book->book_name}}</a></h2>
                                    <p >{{$book->description}}</p>
                                </div>
                            </td>
                        </tr>
                    @endforeach
            </table>

            <table style="margin-left: 20px; margin-bottom: 20px" width="100%">
                @if(sizeof($articles) >0)
                    <h4 style=" margin-top: 20px; margin-bottom: 10px">Articles</h4>
                    <hr>
                @endif

                <div style="margin-left: 20px">
                @foreach($articles as $article)
                    <h2 ><a href="{{url('/read_article/'.$article->article_id)}}">{{$article->article_name}}</a></h2>
                    <p>{{$article->description}}</p>
                @endforeach
                </div>
            </table>




        </div>



        <div class="col-lg-4">

            <h2>Hello</h2>



        </div>



    </div>



@endsection
