<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">

    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('css/bootstrap.css')); ?>">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('css/calender.css')); ?>">

    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('css/style.css')); ?>">
    
    <script src="<?php echo e(asset('js/jquery-3.3.1.min.js')); ?>"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

    <link rel="stylesheet" href="simple-calendar.css">

    <script src="jquery.simple-calendar.js"></script>

    <script src="js/calendar.js"></script>


    <title></title>
</head>
<body>
<div class="container">
    <nav class="navbar navbar-expand-lg navbar navbar-light" style="background-color: #CEEFFB; padding-right: 20px; padding: 20px;height:100px; padding-bottom: 10px">
        <a class="navbar-brand" href="<?php echo e(url('/')); ?>" style="height: 40px;font:2em">গ্রন্থনীড়</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item <?php echo e((\Illuminate\Support\Facades\Route::currentRouteName() == 'index') ?'active':''); ?>">
                    <a class="nav-link" href="<?php echo e(url('/')); ?>" style="padding-left: 60px">গ্রন্থনীড় <span class="sr-only">(current)</span></a>
                </li>
                <li class="nav-item <?php echo e((\Illuminate\Support\Facades\Route::currentRouteName() == 'bookreader') ?'active':''); ?>" style="padding-left: 20px" >
                    <a class="nav-link" href="<?php echo e(url('/read_books')); ?>">প্রবন্ধ-নিবন্ধ</a>
                </li>

                <li class="nav-item <?php echo e((\Illuminate\Support\Facades\Route::currentRouteName() == 'book_review') ?'active':''); ?>" style="padding-left: 20px">
                    <a class="nav-link" href="<?php echo e(url('book_review')); ?>">বুক রিভিউ</a>
                </li>
                <li class="nav-item <?php echo e((\Illuminate\Support\Facades\Route::currentRouteName() == 'biography') ?'active':''); ?>" style="padding-left: 20px">
                    <a class="nav-link" href="<?php echo e(url('/biography')); ?>">জীবনী</a>
                </li>
                <li class="nav-item <?php echo e((\Illuminate\Support\Facades\Route::currentRouteName() == 'bookshelf') ?'active':''); ?>" style="padding-left: 20px" >
                    <a class="nav-link" href="<?php echo e(url('/bookshelf')); ?>">মাকতাবা</a>
                </li>
            </ul>

            <?php echo e(csrf_field()); ?>

            <div class="form-group" >
                <input class="form-control " type="text" placeholder="Search" id="search_book" >
                <div id="book_list"></div>
            </div>
        </div>
    </nav>


    <?php echo $__env->yieldContent('web_container'); ?>

</div>

<script >

       $(document).ready(function () {
           $('#search_book').keyup(function () {
               var query = $(this).val();
               console.log(query);
               if (query != ''){

                   var _token = $('input[name="_token" ]').val();

                   $.ajax({
                       url:"/search_book",
                       method:"POST",
                       data:{query:query, _token:_token},
                       success:function (data) {
                           $('#book_list').fadeIn();
                           $('#book_list').html(data);
                       }
                   })

               }
           });
       });

</script>


</body>
</html>
<?php /**PATH F:\XAMPP\htdocs\GronthoNir\resources\views/web/layout.blade.php ENDPATH**/ ?>