<?php $__env->startSection('admin_container'); ?>



    <section class="content">
        <div class="container-fluid">

            <?php if(session()->has('message.level')): ?>
                <div class="alert alert-<?php echo e(session('message.level')); ?>">
                    <?php echo session('message.content'); ?>

                </div>
            <?php endif; ?>



            <?php if(count($errors)>0): ?>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <p class="alert alert-danger"><?php echo e($error); ?></p>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>


            <form action="/edit_book_details" method="post" enctype="multipart/form-data">

                <?php echo e(csrf_field()); ?>


                <input type="hidden" name="id" value="<?php echo e($book->id); ?>">
                <input type="hidden" name="book_id" value="<?php echo e($book->id); ?>">

                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="body">

                            <h2 class="card-inside-title">Complete Book Details</h2>
                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Book Name</label>
                                            <input type="text" class="form-control" name="book_name" value="<?php echo e($book->book_name); ?>"  placeholder="Book Name" required/>
                                        </div>
                                    </div>
                                </div>
                            </div>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Author Name</label>
                                    <select class="form-control" name="author_id">
                                        <option value="<?php echo e($book_author->id); ?>" style="text-align: center;"><?php echo e($book_author->author_name); ?></option>
                                        <option value="" style="text-align: center;">-- Please select Author Name --</option>
                                        <?php $__currentLoopData = $authors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $author): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($author->id); ?>"><?php echo e($author->author_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>

                            <h3 style="text-align: center;">Or</h3>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group" >
                                        <div class="form-line">
                                            <label>Author Name (If Not In the list) </label>
                                            <input type="text" class="form-control" name="author_name"  placeholder="Author Name If Not In the list" />
                                        </div>
                                    </div>
                                </div>
                            </div>



                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Publication Name</label>
                                    <select class="form-control show-tick" name="publication_id">
                                        <option value="<?php echo e($book_publication->id); ?>" style="text-align: center;"><?php echo e($book_publication->publication_name); ?></option>
                                        <option value="" style="text-align: center;">-- Please select Publication Name --</option>

                                        <?php $__currentLoopData = $publications; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $publication): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($publication->id); ?>"><?php echo e($publication->publication_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </select>
                                </div>
                            </div>


                            <h3 style="text-align: center;">Or</h3>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Publication Name (If Not In the list) </label>
                                            <input type="text" class="form-control" name="publication_name"  placeholder="Publication Name (If Not In the list)" />
                                        </div>
                                    </div>
                                </div>
                            </div>



                            <h2 class="card-inside-title" style="text-align: center;">Other Details</h2>
                            <br>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Category</label>
                                    <select class="form-control show-tick" id="catagory" name="catagory">
                                        <option value="<?php echo e($cat->id); ?>" style="text-align: center;"><?php echo e($cat->catagory_name); ?></option>
                                        <?php $__currentLoopData = $catagories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $catagory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($catagory->id); ?>"><?php echo e($catagory->catagory_name); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>



                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Sub Category</label>
                                    <select name="sub_catagory" id="sub_catagory" class="form-control show-tick">
                                        <option value="<?php echo e($book_catagory->id); ?>" style="text-align: center;"><?php echo e($book_catagory->catagory_name); ?></option>
                                    </select>
                                </div>
                            </div>

                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Price </label>
                                            <input type="text" class="form-control" name="price"  placeholder="Price" value="<?php echo e($book->price); ?>" required/>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Description </label>
                                            <textarea name="description" cols="30" rows="5" placeholder="Description" class="form-control no-resize" required><?php echo e($book->description); ?></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>Tags</label>
                                    <select name="tags[]" class="mdb-select md-form form-control" multiple >
                                        <option value="">Tags</option>
                                        
                                        <?php $__currentLoopData = $tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($tag['id']); ?>"  <?php echo in_array($tag['id'], $all_tags) ? 'selected' : ''?>><?php echo e($tag['catagory_name']); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>


                            <input type="hidden" name="old_image_folder" value="<?php echo e($book->image_folder); ?>">
                            <input type="hidden" name="old_image_name" value="<?php echo e($book->image_name); ?>">
                            <input type="hidden" name="old_pdf_folder" value="<?php echo e($book->pdf_folder); ?>">
                            <input type="hidden" name="old_pdf_name" value="<?php echo e($book->pdf_name); ?>">

                            <h5>Upload Image(Image size should not more than 600px 400px)</h5>
                            <div >
                                <input type="file" name="image" id="image" class="btn" style="float: left; margin-right: 10px"/>
                                <?php echo e($book->image_name); ?>

                            </div>
                            <br>

                            <h5>Upload Book PDF</h5>
                            <div >
                                <input type="file" name="book_pdf" id="pdf" class="btn" style="float: left; margin-right: 10px"/>
                                <?php echo e($book->pdf_name); ?>

                            </div>

                            <br>

                            <div class="row">
                                <div class="col-sm-4">
                                    <input type="submit" name="submit" class="btn btn-primary" value="Submit" />
                                </div>
                            </div>

                        </div>


                    </div>
                </div>

            </form>


        </div>
    </section>


    <script type="text/javascript">

        $(document).ready(function() {
            $('#catagory').on('change', function () {
                var catagoryID = $(this).val();

                console.log(catagoryID);
                if (catagoryID) {
                    $.ajax({
                        type: 'GET',
                        url: '../get_sub_catagories/'+catagoryID,
                        success: function (html) {
                            console.log(html);
                            $('#sub_catagory').html(html);
                            $("#sub_catagory").html(html).selectpicker('refresh');
                        }
                    });
                } else {
                    $('#sub_catagory').html('<option value="">Select Sub Catagory</option>');
                }
            });
        });

    </script>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\XAMPP\htdocs\GronthoNir\resources\views/admin/edit_book_details.blade.php ENDPATH**/ ?>