<?php $__env->startSection('admin_container'); ?>



    <section class="content">
        <div class="container-fluid">

            <!-- Basic Examples -->
            <!-- #END# Basic Examples -->
            <!-- Exportable Table -->
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                BOOKS TABLE
                            </h2>
                            
                        </div>

                        <?php if(session()->has('message.level')): ?>
                            <div class="alert alert-<?php echo e(session('message.level')); ?>">
                                <?php echo session('message.content'); ?>

                            </div>
                        <?php endif; ?>

                        <div class="body">
                            <div class="table-responsive">
                                <table class="table table-bordered table-striped table-hover dataTable ">
                                    <thead>
                                    <tr>
                                        <th>Book Name</th>
                                        <th>Author Name</th>
                                        <th>Publication Name</th>
                                        <th>Category</th>
                                        
                                        
                                        <th>Price</th>
                                        
                                        <th>Action</th>


                                    </tr>
                                    </thead>
                                    <tfoot>
                                    <tr>
                                        <th>Book Name</th>
                                        <th>Author Name</th>
                                        <th>Publication Name</th>
                                        <th>Category</th>
                                        
                                        
                                        <th>Price</th>
                                        
                                        <th>Action</th>


                                    </tr>
                                    </tfoot>
                                    <tbody>
                                    <?php $__currentLoopData = $books; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $book): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><a href="#" data-toggle="modal" data-target="#view-modal" data-row="1" data-id="<?php echo e($book->book_id); ?>" id="book_id" ><?php echo e($book->book_name); ?></a></td>
                                            <td><?php echo e($book->author_name); ?></td>
                                            <td><?php echo e($book->publication_name); ?></td>
                                            <td><?php echo e($book->catagory_name); ?></td>
                                            <td><?php echo e($book->price); ?></td>
                                            <td><a href="<?php echo e(url('edit_book_form/'.$book->book_id)); ?>"> Edit </a> / <a href="<?php echo e(url('delete_book/'.$book->id)); ?>"> Delete </a></td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- #END# Exportable Table -->
        </div>



        <!-- income Modal -->
        <div id="view-modal" class="modal fade " tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">

                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                        <h4 class="modal-title">
                            <div class="col-sm-3">Book Details</div>
                        </h4>
                    </div>
                    <div class="modal-body">

                        <!-- content will be load here -->
                        <div id="dynamic-content"></div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>

                </div>
            </div>
        </div><!-- /.modal -->



    </section>


    <script>

        $(document).ready(function(){

            $(document).on('click', '#book_id', function(e){

                e.preventDefault();

                var book_id = $(this).data('id');   // it will get id of clicked row

                console.log(book_id);

                $('#dynamic-content').html(''); // leave it blank before ajax call
                $('#modal-loader').show();      // load ajax loader

                $.ajax({
                    type: 'GET',
                    url:'get_book_details_modal/'+book_id,
                    dataType: 'html'
                })
                    .done(function(data){
                        console.log(data);
                        $('#dynamic-content').html('');
                        $('#dynamic-content').html(data); // load response
                        $('#modal-loader').hide();		  // hide ajax loader
                    })
                    .fail(function(){
                        $('#dynamic-content').html('<i class="glyphicon glyphicon-info-sign"></i> Something went wrong, Please try again...');
                        $('#modal-loader').hide();
                    });

            });



        });

    </script>


<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\XAMPP\htdocs\GronthoNir\resources\views/admin/all_book_details.blade.php ENDPATH**/ ?>