@extends('admin.layout')
@section('admin_container')



    <section class="content">
        <div class="container-fluid">

            @if(session()->has('message.level'))
                <div class="alert alert-{{ session('message.level') }}">
                    {!! session('message.content') !!}
                </div>
            @endif



            @if(count($errors)>0)
                @foreach($errors->all() as $error)
                    <p class="alert alert-danger">{{$error}}</p>
                @endforeach
            @endif


            <form action="/create_new_book" method="post" enctype="multipart/form-data">

                {{csrf_field()}}

                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="body">

                            <h2 class="card-inside-title">Complete Book Details</h2>
                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>User Name</label>
                                    <select class="form-control show-tick">
                                        <option value="" style="text-align: center;">-- please select user name --</option>
                                        <option value="kazi">Kazi Nazrul Islam</option>
                                        <option value="rabindranath">Rabindra Nath Tagore</option>
                                        <option value="shamsurrahman">Samsur Rahman</option>

                                    </select>
                                </div>
                            </div>




                            <div class="row ">
                                <div class="col-sm-12">
                                    <label>User Role</label>
                                    <select class="form-control show-tick">
                                        <option value="" style="text-align: center;">-- Please select Role --</option>
                                        <option value="user">User</option>
                                        <option value="author">Author</option>
                                        <option value="Publisher">Publisher</option>
                                        <option value="ekushe">Admin</option>
                                    </select>
                                </div>
                            </div>
                            <h2 class="card-inside-title" style="text-align: left;">Set Upload Limit</h2>


                            <div class="row ">
                                <div class="col-sm-6">
                                    <label>size limit</label>
                                    <select class="form-control show-tick">
                                        <option value="" style="text-align: center;">-- Please select size limit --</option>
                                        <option value="mb20">20 MB</option>
                                        <option value="mb35">35 MB</option>
                                        <option value="mb60">60MB</option>
                                    </select>
                                </div>

                                <div class="col-sm-6">
                                    <label>Upload Limit</label>
                                    <select class="form-control show-tick">
                                        <option value="" style="text-align: center;">-- Please select daily Upload Limit --</option>
                                        <option value="upto100">100 MB</option>
                                        <option value="upto200">200 MB</option>
                                        <option value="upto350">350 MB</option>
                                    </select>
                                </div>
                            </div>



                            <br>

                            <div class="row">
                                <div class="col-sm-4">
                                    <input type="submit" name="submit" class="btn btn-primary" value="Submit" />
                                </div>
                            </div>

                        </div>


                    </div>
                </div>

            </form>


        </div>
    </section>



@endsection


{{--
<form action="/create_new_book" method="post" enctype="multipart/form-data">
    {{csrf_field()}}


    <div class="row ">
        <div class="col-sm-12">
            <label>User Name</label>
            <select class="form-control show-tick">
                <option value="" style="text-align: center;">-- please select user name --</option>
                <option value="kazi">Kazi Nazrul Islam</option>
                <option value="rabindranath">Rabindra Nath Tagore</option>
                <option value="shamsurrahman">Samsur Rahman</option>

            </select>
        </div>
    </div>


    <div class="row ">
        <div class="col-sm-12">
            <label>User Role</label>
            <select class="form-control show-tick">
                <option value="" style="text-align: center;">-- Please select Role --</option>
                <option value="user">User</option>
                <option value="author">Author</option>
                <option value="Publisher">Publisher</option>
                <option value="ekushe">Admin</option>
            </select>
        </div>
    </div>
    <h2 class="card-inside-title" style="text-align: center;">Upload Limit</h2>
    <br>
    <br>


    <div class="row ">
        <div class="col-sm-6">
            <label>size limit</label>
            <select class="form-control show-tick">
                <option value="" style="text-align: center;">-- Please select size limit --</option>
                <option value="mb20">20 MB</option>
                <option value="mb35">35 MB</option>
                <option value="mb60">60MB</option>
            </select>
        </div>

        <div class="col-sm-6">
            <label>Upload Limit</label>
            <select class="form-control show-tick">
                <option value="" style="text-align: center;">-- Please select daily Upload Limit --</option>
                <option value="upto100">100 MB</option>
                <option value="upto200">200 MB</option>
                <option value="upto350">350 MB</option>
            </select>
        </div>
    </div>


    <br>

    <div class="row">
        <div class="col-sm-4">
            <input type="submit" name="submit" class="btn btn-primary" value="Submit" />
        </div>
    </div>




</form>
--}}
