<?php $__env->startSection('admin_container'); ?>



    <section class="content">
        <div class="container-fluid">

            <?php if(session()->has('message.level')): ?>
                <div class="alert alert-<?php echo e(session('message.level')); ?>">
                    <?php echo session('message.content'); ?>

                </div>
            <?php endif; ?>



            <?php if(count($errors)>0): ?>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <p class="alert alert-danger"><?php echo e($error); ?></p>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php endif; ?>


            <form action="/create_author" method="post" >

                <?php echo e(csrf_field()); ?>


                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="body">

                            <h2 class="card-inside-title">Author Details</h2>
                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Author Name</label>
                                            <input type="text" class="form-control" name="name"  placeholder="Author Name" required/>
                                        </div>
                                    </div>
                                </div>
                            </div>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Author Short Biography</label>
                                            <textarea name="bio" cols="30" rows="5" placeholder="Author Short Biography" class="form-control no-resize" required></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>


                            <div class="row ">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <label>Books Written By Author</label>
                                            <textarea name="books" cols="30" rows="5" placeholder="Books Written By Author" class="form-control no-resize" required></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-sm-4">
                                    <input type="submit" name="submit" class="btn btn-primary" value="Submit" />
                                </div>
                            </div>

                        </div>


                    </div>
                </div>

            </form>


        </div>
    </section>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\XAMPP\htdocs\GronthoNir\resources\views/admin/create_author.blade.php ENDPATH**/ ?>