<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <title>Welcome To | Gronthonir | Admin</title>
    <!-- Favicon-->
    <link rel="icon" href="<?php echo e(asset('admin/favicon.ico')); ?>" type="image/x-icon">

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:400,700&subset=latin,cyrillic-ext" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" type="text/css">

    <!-- Bootstrap Core Css -->
    <link href="<?php echo e(asset('admin/plugins/bootstrap/css/bootstrap.css')); ?>" rel="stylesheet">

    <!-- Waves Effect Css -->
    <link href="<?php echo e(asset('admin/plugins/node-waves/waves.css')); ?>" rel="stylesheet" />

    <!-- Animation Css -->
    <link href="<?php echo e(asset('admin/plugins/animate-css/animate.css')); ?>" rel="stylesheet" />

    <!-- JQuery DataTable Css -->
    <link href="<?php echo e(asset('admin/plugins/jquery-datatable/skin/bootstrap/css/dataTables.bootstrap.css')); ?>" rel="stylesheet" />

    <!-- Morris Chart Css-->
    <link href="<?php echo e(asset('admin/plugins/morrisjs/morris.css')); ?>" rel="stylesheet" />

    <!-- Wait Me Css -->
    <link href="<?php echo e(asset('admin/plugins/waitme/waitMe.css')); ?>" rel="stylesheet" />

    <!-- Bootstrap Select Css -->
    <link href="<?php echo e(asset('admin/plugins/bootstrap-select/css/bootstrap-select.css')); ?>" rel="stylesheet" />

    <!-- Custom Css -->
    <link href="<?php echo e(asset('admin/css/style.css')); ?>" rel="stylesheet">

    <!-- AdminBSB Themes. You can choose a theme from css/themes instead of get all themes -->
    <link href="<?php echo e(asset('admin/css/themes/all-themes.css')); ?>" rel="stylesheet" />

    
    <link href="<?php echo e(asset('admin/css/jquery-clockpicker.min.css')); ?>" rel="stylesheet" />


    <!-- Jquery Core Js -->
    <script src="<?php echo e(asset('admin/plugins/jquery/jquery.min.js')); ?>"></script>



</head>

<body class="theme-red">
<!-- Page Loader -->
<div class="page-loader-wrapper">
    <div class="loader">
        <div class="preloader">
            <div class="spinner-layer pl-red">
                <div class="circle-clipper left">
                    <div class="circle"></div>
                </div>
                <div class="circle-clipper right">
                    <div class="circle"></div>
                </div>
            </div>
        </div>
        <p>Please wait...</p>
    </div>
</div>
<!-- #END# Page Loader -->
<!-- Overlay For Sidebars -->
<div class="overlay"></div>
<!-- #END# Overlay For Sidebars -->
<!-- Search Bar -->
<div class="search-bar">
    <div class="search-icon">
        <i class="material-icons">search</i>
    </div>
    <input type="text" placeholder="START TYPING...">
    <div class="close-search">
        <i class="material-icons">close</i>
    </div>
</div>
<!-- #END# Search Bar -->
<!-- Top Bar -->
<nav class="navbar">
    <div class="container-fluid">
        <div class="navbar-header">
            <a href="javascript:void(0);" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse" aria-expanded="false"></a>
            <a href="javascript:void(0);" class="bars"></a>
            <a class="navbar-brand" href="index.html">GRONTHONIR - ADMIN PANEL</a>
        </div>
    </div>
</nav>
<!-- #Top Bar -->
<section>
    <!-- Left Sidebar -->
    <aside id="leftsidebar" class="sidebar">
        <!-- User Info -->
        <div class="user-info">
            <div class="image">
                <img src="admin/images/user.png" width="48" height="48" alt="User" />
            </div>
            <div class="info-container">
                <div class="name" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">John Doe</div>
                <div class="email">john.doe@example.com</div>
                <div class="btn-group user-helper-dropdown">
                    <i class="material-icons" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">keyboard_arrow_down</i>
                    <ul class="dropdown-menu pull-right">
                        <li><a href="javascript:void(0);"><i class="material-icons">input</i>Sign Out</a></li>
                    </ul>
                </div>
            </div>
        </div>
        <!-- #User Info -->
        <!-- Menu -->
        <div class="menu">
            <ul class="list">
                <li class="header">MAIN NAVIGATION</li>
                <li class="<?php echo e((\Illuminate\Support\Facades\Route::currentRouteName() == 'home') ? 'active' : ''); ?>">
                    <a href="<?php echo e(url('/home')); ?>">
                        <i class="material-icons">home</i>
                        <span>Home</span>
                    </a>
                </li>
                <li class="<?php echo e((\Illuminate\Support\Facades\Route::currentRouteName() == 'all_users') ? 'active' : ''); ?>">
                    <a href="pages/typography.html">
                        <i class="material-icons">text_fields</i>
                        <span>All Users</span>
                    </a>
                </li>

                <li class="<?php echo e((\Illuminate\Support\Facades\Route::currentRouteName() == 'create_author') ? 'active' : ''); ?>">
                    <a href="<?php echo e(url('/create_author_form')); ?>">
                        <i class="material-icons">text_fields</i>
                        <span>Create Author</span>
                    </a>
                </li>

                <li class="<?php echo e((\Illuminate\Support\Facades\Route::currentRouteName() == 'create_publication') ? 'active' : ''); ?>">
                    <a href="<?php echo e(url('/create_publication_form')); ?>">
                        <i class="material-icons">text_fields</i>
                        <span>Create Publication</span>
                    </a>
                </li>

                <li class="<?php echo e((\Illuminate\Support\Facades\Route::currentRouteName() == 'create_catagory') ? 'active' : ''); ?>">
                    <a href="<?php echo e(url('/create_catagory_form')); ?>">
                        <i class="material-icons">text_fields</i>
                        <span>Create Catagory</span>
                    </a>
                </li>


                

                <li class="<?php echo e((\Illuminate\Support\Facades\Route::currentRouteName() == 'book_details') ? 'active' : ''); ?>">
                    <a href="javascript:void(0);" class="menu-toggle">
                        <i class="material-icons">widgets</i>
                        <span>Book Details</span>
                    </a>
                    <ul class="ml-menu">
                        <li>
                            <a href="<?php echo e(url('/book_details_form')); ?>">Create Book Details</a>
                        </li>
                        <li>
                            <a href="<?php echo e(url('/create_article_form')); ?>">Create Article</a>
                        </li>
                        <li>
                            <a href="<?php echo e(url('admin_book_details')); ?>">View Book Details</a>
                        </li>
                    </ul>
                </li>

                <li class="<?php echo e((\Illuminate\Support\Facades\Route::currentRouteName() == 'user_info') ? 'active' : ''); ?>">
                    <a href="javascript:void(0);" class="menu-toggle">
                        <i class="material-icons">widgets</i>
                        <span>User Informnations</span>
                    </a>
                    <ul class="ml-menu">

                        <li>
                            <a href="<?php echo e(url('admin_pending_requests')); ?>">Pending Request</a>
                        </li>
                        <li>
                            <a href="<?php echo e(url('register_form')); ?>">User Complete Registration</a>
                        </li>
                        <li>
                            <a href="<?php echo e(url('reviews_admin')); ?>">Show Review Action</a>
                        </li>
                        <li>
                            <a href="<?php echo e(url('pending_contacts')); ?>">Pending Contact Us</a>
                        </li>
                    </ul>
                </li>

                <!--Admin List END --->

            </ul>
        </div>
        <!-- #Menu -->
        <!-- Footer -->
        <div class="legal">
            <div class="copyright">
                &copy; 2016 - 2017 <a href="javascript:void(0);">AdminBSB - Material Design</a>.
            </div>
            <div class="version">
                <b>Version: </b> 1.0.5
            </div>
        </div>
        <!-- #Footer -->
    </aside>
    <!-- #END# Left Sidebar -->

</section>


<?php echo $__env->yieldContent('admin_container'); ?>



<!-- Bootstrap Core Js -->
<script src="<?php echo e(asset('admin/plugins/bootstrap/js/bootstrap.js')); ?>"></script>

<!-- Select Plugin Js -->
<script src="<?php echo e(asset('admin/plugins/bootstrap-select/js/bootstrap-select.js')); ?>"></script>

<!-- Slimscroll Plugin Js -->
<script src="<?php echo e(asset('admin/plugins/jquery-slimscroll/jquery.slimscroll.js')); ?>"></script>

<!-- Waves Effect Plugin Js -->
<script src="<?php echo e(asset('admin/plugins/node-waves/waves.js')); ?>"></script>



<!-- Jquery DataTable Plugin Js -->
<script src="<?php echo e(asset('admin/plugins/jquery-datatable/jquery.dataTables.js')); ?>"></script>
<script src="<?php echo e(asset('admin/plugins/jquery-datatable/skin/bootstrap/js/dataTables.bootstrap.js')); ?>"></script>
<script src="<?php echo e(asset('admin/plugins/jquery-datatable/extensions/export/dataTables.buttons.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/plugins/jquery-datatable/extensions/export/buttons.flash.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/plugins/jquery-datatable/extensions/export/jszip.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/plugins/jquery-datatable/extensions/export/pdfmake.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/plugins/jquery-datatable/extensions/export/vfs_fonts.js')); ?>"></script>
<script src="<?php echo e(asset('admin/plugins/jquery-datatable/extensions/export/buttons.html5.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/plugins/jquery-datatable/extensions/export/buttons.print.min.js')); ?>"></script>




<!-- Jquery CountTo Plugin Js -->
<script src="<?php echo e(asset('admin/plugins/jquery-countto/jquery.countTo.js')); ?>"></script>

<!-- Morris Plugin Js -->
<script src="<?php echo e(asset('admin/plugins/raphael/raphael.min.js')); ?>"></script>


<!-- ChartJs -->
<script src="<?php echo e(asset('admin/plugins/chartjs/Chart.bundle.js')); ?>"></script>

<!-- Flot Charts Plugin Js -->






<!-- Sparkline Chart Plugin Js -->
<script src="<?php echo e(asset('admin/plugins/jquery-sparkline/jquery.sparkline.js')); ?>"></script>



<!-- Custom Js -->
<script src="<?php echo e(asset('admin/js/admin.js')); ?>"></script>
<script src="<?php echo e(asset('admin/js/pages/index.js')); ?>"></script>
<script src="<?php echo e(asset('admin/js/pages/tables/jquery-datatable.js')); ?>"></script>

<!-- Demo Js -->
<script src="<?php echo e(asset('admin/js/demo.js')); ?>"></script>

<script type="text/javascript" src="<?php echo e(asset('admin/js/bootstrap-datepicker.js')); ?>"></script>
<script type="text/javascript" src="<?php echo e(asset('admin/js/jquery-clockpicker.min.js')); ?>"></script>




<script type="text/javascript">


    $(function(){
        $('.idate').datepicker({
            format: 'yyyy-mm-dd'
        });
        $('.table-datatables').DataTable({
            "order": [[ 1, "desc" ]],
            language : { sLengthMenu: "Show _MENU_" }
        });
    });


    $('.clockpicker').clockpicker()
        .find('input').change(function(){
        console.log(this.value);
    });





</script>
</body>

</html>
<?php /**PATH F:\XAMPP\htdocs\GronthoNir\resources\views/admin/layout.blade.php ENDPATH**/ ?>